import {Depends} from '../interfaces/type.js'
import type {EqualOp, UnequalOp} from '../interfaces/relational.js'

export const unequal = <T>(dep: Depends<EqualOp<T>>): UnequalOp<T> =>
   (x, y) => !dep.equal(x, y)
