import {Complex} from './type.js'
import {Depends} from '../interfaces/type.js'
import {EqualOp} from '../interfaces/relational.js'

export const equal =
   <T>(dep: Depends<EqualOp<T>>): EqualOp<Complex<T>> =>
   (w, z) => dep.equal(w.re, z.re) && dep.equal(w.im, z.im)
