import type {Depends} from '../interfaces/type.js'
import type {MultiplyOp, SquareOp} from '../interfaces/arithmetic.js'

export const square =
   <T>(dep: Depends<MultiplyOp<T>>): SquareOp<T> =>
   z => dep.multiply(z, z)
